Bug 2220383 - F39FailsToInstall: python3-orjson
Summary: F39FailsToInstall: python3-orjson
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-orjson
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Maxwell G
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F39FailsToInstall PYTHON3.12 2220144 2220186 2220218 2220245
TreeView+ depends on / blocked
 
Reported: 2023-07-05 19:17 UTC by Fedora Fails To Install
Modified: 2023-07-25 11:45 UTC (History)
6 users (show)

Fixed In Version: python-orjson-3.9.2-2.fc39
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-07-25 11:45:25 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github ijl orjson issues 400 0 None open Add compatibility for Python 3.12 2023-07-05 19:34:58 UTC

Description Fedora Fails To Install 2023-07-05 19:17:07 UTC
Hello,

Please note that this comment was generated automatically by https://pagure.io/releng/blob/main/f/scripts/ftbfs-fti/follow-policy.py
If you feel that this output has mistakes, please open an issue at https://pagure.io/releng/

Your package (python-orjson) Fails To Install in Fedora 39:

can't install python3-orjson:
  - nothing provides python(abi) = 3.11 needed by python3-orjson-3.8.12-1.fc39.x86_64
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.


P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors. To reproduce, use the koji/local repo only, e.g. in mock:

    $ mock -r fedora-39-x86_64 --config-opts mirrored=False install python3-orjson


P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Maxwell G 2023-07-05 19:34:59 UTC
https://github.com/ijl/orjson/issues/400

Comment 2 Fabio Valentini 2023-07-05 20:00:08 UTC
I'm working on packaging pyo3 v0.19 which contains a few fixes for ABI changes in Python 3.12 (which might fix issues for orjson), but currently the update is blocked by

- pending fedpkg request-repo queue for compat packages
- pyo3 test failures with Python 3.12

Comment 3 Maxwell G 2023-07-05 20:15:36 UTC
Thanks for working on that! FTR, the test suite also fails when building the latest upstream main (using the normal tooling that pulls from crates.io) that has updated to the new pyo3. Let's hope that upstream issue gets addressed before the bot that closes issues after a week kicks in...

Comment 4 Ben Beasley 2023-07-06 04:13:58 UTC
Note to self: restore the dependency in python-fastapi once this is fixed.

Comment 5 Tomáš Hrnčiar 2023-07-25 08:40:40 UTC
PR: https://src.fedoraproject.org/rpms/python-orjson/pull-request/6

Comment 6 Fedora Update System 2023-07-25 11:43:30 UTC
FEDORA-2023-e98c618ddf has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e98c618ddf

Comment 7 Fedora Update System 2023-07-25 11:45:25 UTC
FEDORA-2023-e98c618ddf has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.